Name:           aegis-tui
Version:        94.5ed551c
Release:        1%{?dist}
Summary:        TUI frontend for the Aegis installer

License:        GPL-3.0-or-later
URL:            https://github.com/Athena-OS/aegis-tui
Source0:        https://github.com/Athena-OS/aegis-tui/archive/refs/heads/main.tar.gz#/aegis-tui-main.tar.gz

BuildArch:      noarch

Requires:       aegis
Requires:       gum
Requires:       util-linux

%description
TUI frontend for the Aegis installer. Provides a terminal interface using `gum` and shell scripts to guide the user through installation steps.

%prep
%autosetup -n aegis-tui-main

%build
# Nothing to build

%install
install -dm755 %{buildroot}/usr/bin
install -dm755 %{buildroot}/usr/share/aegis-tui

install -Dm755 aegis-tui %{buildroot}/usr/share/aegis-tui/aegis-tui
install -Dm644 keymaps %{buildroot}/usr/share/aegis-tui/keymaps
install -Dm644 locales %{buildroot}/usr/share/aegis-tui/locales

# Create wrapper
cat > %{buildroot}/usr/bin/aegis-tui << 'EOF'
#!/bin/sh
/usr/share/aegis-tui/aegis-tui "$@"
EOF

chmod +x %{buildroot}/usr/bin/aegis-tui

%files
/usr/bin/aegis-tui
/usr/share/aegis-tui/*

%changelog
* Sat May 03 2025 21:13 Little Owl <littleowl@athenaos.org>
- Synced with upstream
